<?php
require('../dbconnect.php');

session_start();

// 発表番号の取得
if (isset($_SESSION['plist'])) {
	for ($i = 0; $i < $_SESSION['plist']['num']; $i++) {
		if (!empty($_POST['plist'.$i])) $_SESSION['plist']['selected'] = $i;
	}
	$n = $_SESSION['plist']['selected'];
} else {
	header('Location: ../index.php');
	exit();
}

if (!empty($_POST)) {
	// ファイル拡張子のチェック
	$fileName = $_FILES['abstract']['name'];
	if (!empty($fileName)) {
		$ext = substr($fileName, -3);
		if ($ext != 'pdf' && $ext != 'doc' && $ext != 'docx') {
			$error['abstract'] = 'type';
		}
	}
	
	if (empty($error)) {
	    // ファイルのアップロード処理
	    if (isset($_POST['submit'])) {
		// ファイル名の設定
		$saveName = 'jaeis2015-'.$_SESSION['plist'][$n]['id'].'-'.$_SESSION['plist'][$n]['uid'];
                // 一度、同じ名前のファイルを削除する。ファイルの拡張子が異なるものが複数アップロードされたときのため
                unlink('data/'.$saveName.'.pdf');
                unlink('data/'.$saveName.'.doc');
                unlink('data/'.$saveName.'.docx');
		$saveName = $saveName.'.'.$ext;

		$path = getcwd().'/data/'.$saveName;

		// アップロードする
		if (is_uploaded_file($_FILES['abstract']['tmp_name'])) {
			if (move_uploaded_file($_FILES['abstract']['tmp_name'], $path)) {
				// データベースのファイルパスを更新
				$sql = sprintf('UPDATE papers SET filepath="%s" WHERE id=%s',
				$saveName,
				$_SESSION['plist'][$n]['id'] );
				mysql_query($sql) or die(mysql_error());
				
				$_SESSION['plist'][$n]['filepath'] = $saveName;
			} else {
				echo '<h2>アップロードに失敗しました</h2>';
			}
		}
	    }
	}
}

?>

<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" />
<link rel="stylesheet" type="text/css" href="../style.css" />
<title>JAEIS第8回全国大会 発表詳細確認・原稿提出ページ</title>
</head>

<body>
<div id="wrap">
  <div id="head2">
    <h1>JAEIS第8回全国大会 発表情報確認・原稿提出ページ</h1>
  </div>
  <div id="content">
  <p><a href="../">登録情報ページへ戻る</a><hr /></p>

  <form action="" method="post" enctype="multipart/form-data">
	<dl>
	<dt>講演論文集の原稿提出</dt>
	<dd>
	<p>
	現在の提出状況：
	<?php
	if (empty($_SESSION['plist'][$n]['filepath'])) {
		echo '<span style="color:#ff0000;"> 原稿未提出</span>';
	} else {
		echo '<span style="color:#0000ff;"> 原稿提出済</span>';
                echo '&nbsp;&nbsp;<a href="filecheck.php">アップロードしたファイルを確認する</a>';
	}
	?>
	</p>
	
	<p>
	<!--（原稿提出は締め切りました。今後のお問い合わせは実行委員会までメールでご連絡下さい）-->
	<input type="hidden" name="MAX_FILE_SIZE" value="20000000" />
       	<input type="file" name="abstract" size="40" />
	<input type="submit" name="submit" value=" 提出する " onclick="return confirm('このファイルを提出してよろしいですか？');" />
       	<?php if ($error['abstract'] == 'type'): ?>
	<p class="error">* アップロード可能な拡張子は、「.pdf」「.doc」「.docx」のみです</p>
	<?php endif; ?>
	</p>
  	<ul>
	<li>PDFファイル（20MB以下）で提出して下さい。Word2000以降は標準でPDF保存可能です。</li>
	<li>PDFを作成できない場合のみWordファイル（.docまたは.docx）でも受け付けます。</li>
	<li>再提出すると、最新のファイルで置き換わります。</li>
	</ul>
     	</dd>
	</dl>
  </form>

	<hr />
	
	<p>
	<form action="edit.php" method="post">
	<input type="submit" value=" 発表情報の編集 " style="background-color:#ffcc99;"><span style="color:#ff0000;">（＊の付いた項目を変更できます）</span>
	</form>
	</p>

	<table>
	<tr>
	<td>発表題目<span style="color:#ff0000;">＊</span></td>
	<td>
	<?php echo mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['title'], ENT_QUOTES, 'UTF-8'),'KVa'); ?>
	</td>
	</tr>

	<tr>
	<td>発表種別</td>
	<td>
	<?php
	if ($_SESSION['plist'][$n]['type'] == 0) echo '研究発表';
	if ($_SESSION['plist'][$n]['type'] == 1) echo 'デモンストレーション';
	if ($_SESSION['plist'][$n]['type'] == 2) echo 'ポスター発表';
	?>
	</td>
	</tr>

	<tr>
	<td>分野</td>
	<td>
	<?php
	if ($_SESSION['plist'][$n]['field'] == 0) echo 'カリキュラム・教材';
	if ($_SESSION['plist'][$n]['field'] == 1) echo '情報科の考察・評価';
	if ($_SESSION['plist'][$n]['field'] == 2) echo '教員養成';
	if ($_SESSION['plist'][$n]['field'] == 3) echo '社会と情報';
	if ($_SESSION['plist'][$n]['field'] == 4) echo '情報の科学';
	if ($_SESSION['plist'][$n]['field'] == 5) echo 'プログラミング教育';
	if ($_SESSION['plist'][$n]['field'] == 6) echo '高大連携';
	if ($_SESSION['plist'][$n]['field'] == 7) echo '教育の情報化';
	if ($_SESSION['plist'][$n]['field'] == 8) echo 'その他';
	?>
	</td>
	</tr>

	<tr>
	<td>キーワード<span style="color:#ff0000;">＊</span></td>
	<td>
	<?php echo mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['keyword0'], ENT_QUOTES, 'UTF-8'),'KVa'); ?><br />
	<?php echo mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['keyword1'], ENT_QUOTES, 'UTF-8'),'KVa'); ?><br />
	<?php echo mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['keyword2'], ENT_QUOTES, 'UTF-8'),'KVa'); ?>
	</td>
	</tr>

	<tr>
	<td>要旨<span style="color:#ff0000;">＊</span></td>
	<td>
	<?php
	echo mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['comment'], ENT_QUOTES, 'UTF-8'),'KVa');
	?>
	</td>
	</tr>

	<tr>
	<td>登壇者</td>
	<td>
	氏名（漢字）: 
	（姓）<?php echo htmlspecialchars($_SESSION['paper']['name_kanji0']); ?> 
	（名）<?php echo htmlspecialchars($_SESSION['paper']['name_kanji1']); ?><br />
	氏名（カナ）: 
	（姓）<?php echo htmlspecialchars($_SESSION['paper']['name_kana0']); ?>
	（名）<?php echo htmlspecialchars($_SESSION['paper']['name_kana1']); ?><br />
	所属機関名: <?php echo htmlspecialchars($_SESSION['paper']['organization']); ?><br />
	電子メール: <?php echo htmlspecialchars($_SESSION['paper']['email']); ?>
	</td>
	</tr>

	<tr>
	<td>共同研究者
	</td>
	<td>
	<?php echo $_SESSION['plist'][$n]['member']; ?> 名<br />
	<?php
	for ($i = 1; $i < $_SESSION['plist'][$n]['member'] + 1; $i++)
	{
	    print('<hr />共同研究者'.$i.'<br />氏名（漢字）: ');
	    print('（姓）'.mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['name_kanji'.$i.'_0'], ENT_QUOTES, 'UTF-8'),'KVa')); 
	    print(' （名）'.mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['name_kanji'.$i.'_1'], ENT_QUOTES, 'UTF-8'),'KVa').'<br />'); 
	    print('氏名（カナ）: ');
	    print('（姓）'.mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['name_kana'.$i.'_0'], ENT_QUOTES, 'UTF-8'),'KVa')); 
	    print(' （名）'.mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['name_kana'.$i.'_1'], ENT_QUOTES, 'UTF-8'),'KVa').'<br />'); 
	    print('所属機関名: '.mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['organization'.$i], ENT_QUOTES, 'UTF-8'),'KVa').'<br />');
	    print('電子メール: '.mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['email'.$i], ENT_QUOTES, 'UTF-8'),'KVa'));
	}
	?>

	</td>
	</tr>
	</table>


  <p><hr /><a href="../">登録情報ページへ戻る</a></p>

  </div>


  <div id="foot">
   <p>(C) 日本情報科教育学会第8回全国大会実行委員会</p>
  </div>

</div>

</body>
</html>
